## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.6.0
%bcond_without check

# https://github.com/cloudflare/cfssl
%global goipath         github.com/cloudflare/cfssl
Version:                1.6.1

%gometa

%global common_description %{expand:
CFSSL is CloudFlare's PKI/TLS swiss army knife. It is both a command line tool
and an HTTP API server for signing, verifying, and bundling TLS certificates. It
requires Go 1.11+ to build.}

%global golicenses      LICENSE LICENSE-whitelist
%global godocs          doc CHANGELOG README.md

Name:           %{goname}
Release:        %autorelease
Summary:        CFSSL: Cloudflare's PKI and TLS toolkit

# main package: BSD-2-Clause
# whitelist: ISC
License:        ISC AND BSD-2-Clause
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep
mv whitelist/LICENSE LICENSE-whitelist

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
mv %{gobuilddir}/bin/mkbundle %{gobuilddir}/bin/cfssl-mkbundle

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
for test in "TestBundle" \
            "TestStapleSCTList" \
            "TestLdap" \
            "TestCachedCRLSet" \
            "TestCertificateSelection" \
            "TestSANs" \
            "TestRemoteTLSSign" \
            "TestRemoteMutualTLSSign" \
            "TestRemoteTLSInfo" \
            "TestRemoteMutualTLSInfo" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
# bundler: needs network
%gocheck -d bundler -d scan/crypto/tls
%endif

%files
%license LICENSE LICENSE-whitelist
%doc doc CHANGELOG README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Wed Aug 10 2022 Maxwell G <gotmax@e.email> 1.6.1-2
- Rebuild to fix FTBFS

* Sat Aug 06 2022 Robert-André Mauchin <zebob.m@gmail.com> 1.6.1-1
- Update to 1.6.1 - Close: rhbz#2001124 rhbz#2045480

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> 1.6.0-4
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> 1.6.0-3
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Aug 01 2021 Robert-André Mauchin <zebob.m@gmail.com> 1.6.0-1
- Update to 1.6.0 Close: rhbz#1968047, rhbz#1987517

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Dec 17 07:32:03 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.5.0-1
- Update to 1.5.0
- Close: rhbz#1890988

* Sat Aug 22 23:28:26 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.1-4
- Fix FTBFS

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 09 16:55:37 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.1-2
- Resolves conflict with mono-devel (#1855262)

* Wed Jan 29 19:45:08 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.1-1
- Update to 1.4.1
- Fix Go 1.14 FTBFS

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jul 29 21:34:58 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.4-1
- Release 1.3.4

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon May 06 21:54:01 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.3-1
- Initial package

